/*
 * This is sample code generated by rpcgen.
 * These are only templates and you can use them
 * as a guideline for developing your own functions.
 */

#include "FuncionesV2.h"

char **
msj_1_svc(mensaje *argp, struct svc_req *rqstp)
{
	static char * result;
	char msj1[] = "Ha realizado un retiro de $";
	char msj2[] = "Ha realizado un deposito de $";
	char textCant[10];
	sprintf(textCant,"%i",argp->cantidad);
	printf("%s",textCant);
	int opcion = argp->opcion;
	printf("%i",opcion);
	if (opcion == 1)
	{
		strcat(msj1,textCant);
		result = strdup(msj1);
	}else if (opcion == 2)
	{
		strcat(msj2,textCant);
		result = strdup(msj2);
	}else{
		result = strdup("");
	}

	return &result;
}
